> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Automations

> List all tenant automations



## OpenAPI

````yaml GET /api/automations
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/automations:
    get:
      tags:
        - Tenant Automation
      summary: List Tenant Automations
      description: List all tenant automations
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The cursor to start from
          required: false
          description: The cursor to start from
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            description: The limit of items to return, default is 100
          required: false
          description: The limit of items to return, default is 100
          name: limit
          in: query
        - schema:
            type: string
            enum:
              - draft
              - active
              - completed
              - archived
            description: >-
              [Deprecated please uses statusFilter]The status of the automation.
              By default we return all EXCEPT archived
          required: false
          description: >-
            [Deprecated please uses statusFilter]The status of the automation.
            By default we return all EXCEPT archived
          name: status
          in: query
        - schema:
            type: string
            description: >-
              The status(es) of the automation. Accepts a comma-separated list.
              By default we return all EXCEPT archived. Valid values are: draft,
              active, running, sending, completed, failed, cancelled,
              partially_cancelled, archived. 'scheduled' and 'deactivated' are
              accepted for backwards compatibility but return no results
              (statuses were removed).
          required: false
          description: >-
            The status(es) of the automation. Accepts a comma-separated list. By
            default we return all EXCEPT archived. Valid values are: draft,
            active, running, sending, completed, failed, cancelled,
            partially_cancelled, archived. 'scheduled' and 'deactivated' are
            accepted for backwards compatibility but return no results (statuses
            were removed).
          name: statusFilter
          in: query
        - schema:
            type: string
            description: An optional search query based on the name of the automation
          required: false
          description: An optional search query based on the name of the automation
          name: search
          in: query
        - schema:
            type: string
            description: >-
              The types of triggers for the automation (e.g. one-time versus
              trigger-based), An array of values in the format of
              'one_time,trigger_based,date_based'
          required: false
          description: >-
            The types of triggers for the automation (e.g. one-time versus
            trigger-based), An array of values in the format of
            'one_time,trigger_based,date_based'
          name: triggerTypes
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            results:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  description:
                                    type: string
                                    nullable: true
                                  status:
                                    type: string
                                    enum:
                                      - draft
                                      - active
                                      - running
                                      - sending
                                      - completed
                                      - failed
                                      - cancelled
                                      - partially_cancelled
                                      - archived
                                  emailsSent:
                                    type: number
                                  smsSent:
                                    type: number
                                  createdAt:
                                    type: string
                                    nullable: true
                                  updatedAt:
                                    type: string
                                    nullable: true
                                  deactivatedAt:
                                    type: string
                                    nullable: true
                                  triggerMetadata:
                                    nullable: true
                                  triggerType:
                                    type: string
                                    enum:
                                      - one_time
                                      - trigger_based
                                      - date_based
                                  actionData:
                                    nullable: true
                                  businessId:
                                    type: string
                                  includeSegmentIds:
                                    type: array
                                    items:
                                      type: string
                                  excludeSegmentIds:
                                    type: array
                                    items:
                                      type: string
                                  derivedRevenue:
                                    type: number
                                  automationType:
                                    type: string
                                    enum:
                                      - managed
                                      - custom
                                  extraMergeFieldsInUse:
                                    type: array
                                    items:
                                      oneOf:
                                        - type: object
                                          properties:
                                            id:
                                              type: string
                                              description: The id of the merge field
                                            type:
                                              type: string
                                              enum:
                                                - static
                                            templateName:
                                              type: string
                                              description: >-
                                                The template name of the merge field
                                                (e.g. black_friday_coupon)
                                            displayName:
                                              type: string
                                              description: >-
                                                The display name of the merge field
                                                (e.g. "Black Friday Sale 50% off")
                                            staticValue:
                                              type: string
                                              description: >-
                                                The static value of the merge field
                                                (e.g. "CODE123")
                                          required:
                                            - id
                                            - type
                                            - templateName
                                            - displayName
                                            - staticValue
                                        - type: object
                                          properties:
                                            id:
                                              type: string
                                              description: The id of the merge field
                                            type:
                                              type: string
                                              enum:
                                                - dynamic
                                            mergeFields:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  templateName:
                                                    type: string
                                                    description: >-
                                                      The template name of the merge field
                                                      (e.g. black_friday_coupon)
                                                  displayName:
                                                    type: string
                                                    description: >-
                                                      The display name of the merge field
                                                      (e.g. "Black Friday Sale 50% off")
                                                  image:
                                                    type: object
                                                    properties:
                                                      placeholderUrl:
                                                        type: string
                                                        description: The placeholder url of the image
                                                      maxSize:
                                                        type: number
                                                        description: The max size of the image in bytes
                                                    required:
                                                      - placeholderUrl
                                                      - maxSize
                                                required:
                                                  - templateName
                                                  - displayName
                                            url:
                                              type: string
                                              description: >-
                                                The url to fetch the dynamic merge
                                                fields from
                                            parameters:
                                              type: object
                                              additionalProperties:
                                                nullable: true
                                              description: >-
                                                Additional parameters for the dynamic
                                                merge field
                                          required:
                                            - id
                                            - type
                                            - mergeFields
                                            - url
                                    description: >-
                                      List of extra merge fields that are
                                      attached to this automation that are
                                      currently being used in the email/sms
                                      content
                                required:
                                  - id
                                  - name
                                  - description
                                  - status
                                  - emailsSent
                                  - smsSent
                                  - createdAt
                                  - updatedAt
                                  - deactivatedAt
                                  - triggerType
                                  - businessId
                                  - includeSegmentIds
                                  - excludeSegmentIds
                                  - derivedRevenue
                                  - automationType
                                  - extraMergeFieldsInUse
                            pagination:
                              type: object
                              properties:
                                total:
                                  type: number
                                hasNextPage:
                                  type: boolean
                                cursor:
                                  type: string
                              required:
                                - total
                                - hasNextPage
                                - cursor
                          required:
                            - results
                            - pagination
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````